Page MenuHomeVyOS Platform

PIM (Protocol Independent Multicast) implementation
Closed, ResolvedPublic

Description

FRR allow implement cli commands for PIM (Sparse Mode) and IGMP.
Proposed commands:

set protocols pim interface <ethX>
set protocols pim rp static address <X.X.X.X>
set protocols pim keep-alive-timer

set protocols igmp version (2-3)
set protocols igmp interface <ethX> query-interval (1-1800)

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Dmitry triaged this task as Wishlist priority.Oct 14 2019, 8:05 AM
Dmitry created this task.
Dmitry created this object in space S1 VyOS Public.
pasik added a subscriber: pasik.Oct 14 2019, 5:14 PM
Dmitry changed the task status from Open to In progress.Mar 24 2020, 7:37 AM
Dmitry claimed this task.
This comment was removed by Viacheslav.
syncer reassigned this task from Dmitry to Viacheslav.Mar 24 2020, 1:40 PM
syncer reassigned this task from Viacheslav to Dmitry.Mar 24 2020, 1:43 PM
Viacheslav changed the status of subtask T2156: PIM op-mode commands from In progress to Needs testing.Mar 26 2020, 4:10 PM

PR for this task
https://github.com/vyos/vyos-build/pull/97
https://github.com/vyos/vyos-1x/pull/274

Tested on the next topology

with following configuration

#R1
set interfaces ethernet eth2 address '172.16.0.2/24'
set interfaces ethernet eth1 address '100.64.0.1/24'
set protocols igmp interface eth1
set protocols pim interface eth1
set protocols pim interface eth2
set protocols pim rp address 172.16.255.1 group '224.0.0.0/4'
set protocols static route 0.0.0.0/0 next-hop 172.16.0.1
set protocols static route 172.16.255.0/24 next-hop 172.16.0.1

#R3
set interfaces dummy dum0 address '172.16.255.1/24'
set interfaces ethernet eth0 address '172.16.0.1/24'
set interfaces ethernet eth1 address '172.16.1.1/24'
set protocols pim interface dum0
set protocols pim interface eth0
set protocols pim interface eth1
set protocols pim rp address 172.16.255.1 group '224.0.0.0/4'
set protocols static route 10.0.0.0/24 next-hop 172.16.1.2
set protocols static route 100.64.0.0/24 next-hop 172.16.0.2

#R2
set interfaces ethernet eth1 address '10.0.0.1/24'
set interfaces ethernet eth2 address '172.16.1.2/24'
set protocols pim interface eth1
set protocols pim interface eth2
set protocols pim rp address 172.16.255.1 group '224.0.0.0/4'
set protocols static route 172.16.255.0/24 next-hop 172.16.1.1
Dmitry changed the task status from In progress to Needs testing.Mar 27 2020, 9:33 AM
Dmitry added a comment.Apr 4 2020, 8:54 PM

Add support PIM dr-priority (Designated Router Election Priority) and IGMP join
https://github.com/vyos/vyos-1x/pull/304

Dmitry changed the status of subtask T2364: Add CLI command for mroute from In progress to Needs testing.Apr 21 2020, 8:17 PM
ronie added a subscriber: ronie.Aug 20 2020, 6:07 PM
syncer closed this task as Resolved.Mon, Sep 7, 7:37 PM
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.6) board.
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.